commit cc600e2bb48b5273ba11656e8545c60a2d32dd05
Author: jklowden <jklowden>
Date:   Sat Feb 28 17:38:50 2009 +0000

    login packet debugging options

diff --git a/include/tds.h b/include/tds.h
index 1ae3dea..8f7d4b5 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.311 2009/02/07 00:26:22 jklowden Exp $ */
+/* $Id: tds.h,v 1.312 2009/02/28 17:38:50 jklowden Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1069,6 +1069,7 @@ typedef enum _TDS_STATE
 } TDS_STATE;
 
 #define TDS_DBG_LOGIN   __FILE__, ((__LINE__ << 4) | 11)
+#define TDS_DBG_HEADER  __FILE__, ((__LINE__ << 4) | 10)
 #define TDS_DBG_FUNC    __FILE__, ((__LINE__ << 4) |  7)
 #define TDS_DBG_INFO2   __FILE__, ((__LINE__ << 4) |  6)
 #define TDS_DBG_INFO1   __FILE__, ((__LINE__ << 4) |  5)
@@ -1086,6 +1087,7 @@ typedef enum _TDS_STATE
 #define TDS_DBGFLAG_SEVERE  0x02
 #define TDS_DBGFLAG_ALL     0xfff
 #define TDS_DBGFLAG_LOGIN   0x0800
+#define TDS_DBGFLAG_HEADER  0x0400
 #define TDS_DBGFLAG_PID     0x1000
 #define TDS_DBGFLAG_TIME    0x2000
 #define TDS_DBGFLAG_SOURCE  0x4000
diff --git a/src/tds/login.c b/src/tds/login.c
index 17490fa..8da8d10 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.181 2009/01/23 09:42:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.182 2009/02/28 17:38:50 jklowden Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -765,9 +765,10 @@ tds7_send_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 	} else
 		packet_size += (user_name_len + password_len) * 2;
 
+#if !defined(TDS_DEBUG_LOGIN)
 	tdsdump_log(TDS_DBG_INFO2, "quietly sending TDS 7+ login packet\n");
 	tdsdump_off();
-
+#endif
 	TDS_PUT_INT(tds, packet_size);
 	if (IS_TDS90(tds)) {
 		tds_put_n(tds, tds9Version, 4);
diff --git a/src/tds/net.c b/src/tds/net.c
index 926627d..086d4eb 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.87 2009/02/27 10:11:43 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.88 2009/02/28 17:38:50 jklowden Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -581,7 +581,7 @@ tds_read_packet(TDSSOCKET * tds)
 			tds->in_pos = 0;
 			return -1;
 		}
-
+		
 		/* GW ADDED */
 		/*
 		 * Not sure if this is the best way to do the error
@@ -597,6 +597,8 @@ tds_read_packet(TDSSOCKET * tds)
 		return -1;
 	}
 
+	tdsdump_dump_buf(TDS_DBG_HEADER, "Received header", header, sizeof(header));	
+
 	/* Convert our packet length from network to host byte order */
 	len = (((unsigned int) header[2]) << 8) | header[3];
 

